# Uses of Interface
org.eclipse.microprofile.openapi.models.tags.Tag

Packages that use Tag
Package
Description
org.eclipse.microprofile.openapi
A set of Java interfaces, annotations and programming models which allow Java developers to natively produce OpenAPI v3 documents from their JAX-RS applications.
org.eclipse.microprofile.openapi.models
A set of interfaces for programmable models and their helper classes, many derived from Swagger Core library.
org.eclipse.microprofile.openapi.models.tags
Model interface to represent a tag of an API endpoint.

## Uses of Tag in org.eclipse.microprofile.openapi

Methods in org.eclipse.microprofile.openapi that return Tag
Modifier and Type
Method
Description
`static Tag`
OASFactory.`createTag()`
This method creates a new `Tag` instance.
`default Tag`
OASFilter.`filterTag(Tag tag)`
Allows filtering of a particular Tag.
Methods in org.eclipse.microprofile.openapi with parameters of type Tag
Modifier and Type
Method
Description
`default Tag`
OASFilter.`filterTag(Tag tag)`
Allows filtering of a particular Tag.

## Uses of Tag in org.eclipse.microprofile.openapi.models

Methods in org.eclipse.microprofile.openapi.models that return types with arguments of type Tag
Modifier and Type
Method
Description
`List<Tag>`
OpenAPI.`getTags()`
Returns the tags property from an OpenAPI instance.
Methods in org.eclipse.microprofile.openapi.models with parameters of type Tag
Modifier and Type
Method
Description
`OpenAPI`
OpenAPI.`addTag(Tag tag)`
Adds the given tag to this OpenAPI instance's list of tags.
`void`
OpenAPI.`removeTag(Tag tag)`
Removes the given tag to this OpenAPI instance's list of tags.
Method parameters in org.eclipse.microprofile.openapi.models with type arguments of type Tag
Modifier and Type
Method
Description
`void`
OpenAPI.`setTags(List<Tag> tags)`
Sets this OpenAPI instance's tags property to the given Tags.
`default OpenAPI`
OpenAPI.`tags(List<Tag> tags)`
Sets this OpenAPI instance's tags property to the given tags.

## Uses of Tag in org.eclipse.microprofile.openapi.models.tags

Methods in org.eclipse.microprofile.openapi.models.tags that return Tag
Modifier and Type
Method
Description
`default Tag`
Tag.`description(String description)`
Sets the description property of a Tag instance to the given string.
`default Tag`
Tag.`externalDocs(ExternalDocumentation externalDocs)`
Sets the externalDocs property of a Tag instance to the given object.
`default Tag`
Tag.`name(String name)`
Sets the name property of a Tag instance to the given string.